// Splotch.java - LHM 1997-09-09
//
// Defines a control for choosing among a set of colors.
//

package com.lmconsult.elastic;

import java.awt.*;
import java.awt.event.*;

/** Splotch- a little colored paint chip for selecting from a pallette
 *
 */

class Splotch extends Canvas
{

  Splotch(Color c, Dimension d)
  { setBackground(c);
    setSize(d);
  }

  Splotch(Color c)
  { setBackground(c);
    setSize(new Dimension(15,10));
  }

  public void paint(Graphics g)
  { Dimension d = getSize();
    g.setColor(getBackground());
    g.fillRect(1,1,d.width-2,d.height-2);
    g.setColor(Color.black);
    g.drawRect(0,0,d.width-1,d.height-1);
  }

}
