// TextSelectorPanel - LHM - 1997-10-12

package com.lmconsult.elastic;

import java.awt.*;
import java.awt.event.*;

public class TextSelectorPanel extends Panel implements ItemListener, TextListener, LayoutManager
{ Choice fontName;
  Choice fontSize;
  Choice fontStyle;
//  List fontName;
//  List fontSize;
//  List fontStyle;
  int fsize;
  int fstyle;
  TextField textArea;
  Font f;
  TextListener signal;
  FontSelector sigfont;
  int pad = 2;
  int high = 20;
//  int high = 35;
  int widthList = 60;
  int widthSize = 40;
  int widthStyle = 55;
  int myWidth = 225;

  public TextSelectorPanel()
//  {
  { setLayout(this);
//  { setLayout(null);
    textArea = new TextField(15);
//    fontName = new List(1,false);
//    fontSize = new List(1,false);
//    fontStyle = new List(1,false);
    fontName = new Choice();
    fontSize = new Choice();
    fontStyle = new Choice();
    setSize(myWidth,2*pad+high);
    fontName.setBounds(pad,pad,widthList,high);
    fontSize.setBounds(2*pad+widthList,pad,widthSize,high);
    fontStyle.setBounds(3*pad+widthList+widthSize,pad,widthStyle,high);
    int allWidth=widthList+widthSize+widthStyle;
    textArea.setBounds(4*pad+allWidth,pad,myWidth-allWidth-5*pad,high);
    fontName.addItem("Sans");
    fontName.addItem("Serif");
    fontName.addItem("Monospaced");
    fontSize.addItem("10");
    fontSize.addItem("12");
    fontSize.addItem("18");
    fontSize.addItem("24");
    fontSize.addItem("36");
    fontSize.addItem("48");
    fontStyle.addItem("Reg");
    fontStyle.addItem("Ital");
    fontStyle.addItem("Bold");
    fontStyle.addItem("BldItal");
    add(fontName);
    add(fontSize);
    add(fontStyle);
    add(textArea);
    fontName.select(0);
    fontSize.select(1);
    fontStyle.select(0);
//    fontName.makeVisible(0);
//    fontSize.makeVisible(1);
//    fontStyle.makeVisible(0);
  }

  public void itemStateChanged(ItemEvent e)
  { if (sigfont != null)
    { fsize=Integer.parseInt(fontSize.getSelectedItem());
      String fname=fontName.getSelectedItem();
      if (fontStyle.getSelectedItem().equals("Reg")) fstyle=Font.PLAIN;
      if (fontStyle.getSelectedItem().equals("Ital")) fstyle=Font.ITALIC;
      if (fontStyle.getSelectedItem().equals("Bold")) fstyle=Font.BOLD;
      if (fontStyle.getSelectedItem().equals("BldItal")) fstyle=Font.BOLD+Font.ITALIC;
      if (fname.toString().equals("Mono")) f=new Font("Monospaced",fstyle,fsize);
	  else f=new Font(fname.toString(),fstyle,fsize);
	  sigfont.fontSelected(f);
    }
  }

  public void registerFontSelector(FontSelector l)
  { sigfont=l;
    fontName.addItemListener(this);
    fontSize.addItemListener(this);
    fontStyle.addItemListener(this);
  }

  public Object[] getSelectedObjects()
  { return null;
  }

  public void removeItemListener(ItemListener l)
  {
  }

  public synchronized void addTextListener(TextListener l)
  { signal=l;
    textArea.addTextListener(this);
  }

  public void removeTextListener(TextListener l)
  {
  }

  public synchronized String getText()
  { return textArea.getText();
  }

  public void textValueChanged(TextEvent e)
  { if (signal != null) signal.textValueChanged(e);
  }
  
  public void paint(Graphics g)
  { Dimension d = getSize();
    g.setColor(Color.red);
    g.drawRect(0,0,d.width-1,d.height-1);
  }

  public void addLayoutComponent(String s,Component c)
  {
  }

  public void removeLayoutComponent(Component c)
  {
  }

  public Dimension minimumLayoutSize(Container c)
  { return new Dimension(myWidth,2*pad+high);
  }

  public Dimension preferredLayoutSize(Container c)
  { return new Dimension(myWidth,2*pad+high);
  }

  public void layoutContainer(Container c)
  { int allWidth=widthList+widthSize+widthStyle;
    Dimension d = getSize();
    textArea.setBounds(4*pad+allWidth,pad,d.width-allWidth-5*pad,high);
  }

}
